Description

This issue is extracted from #13460-2 after 2.4 feature freeze.

Relevant history:

Daniel Felix wrote in #13460-2 (note-2):

File Attachment:functional_renaming_rss_to_atom.diff added

I'll provide two patches.

[...]

Number 2: functional renaming. Deprecation of old rss_* methods and redefining them as atom_* methods. Old methods

are still available and give deprecation warnings. Please test Number 2, too. But it seems to work in the first test.

 Jean-Philippe Lang wrote in #13460-7 (note-7):

I've committed the translations in r11654 but I think it's a bit late to change the methods for 2.3.0.

 

Related issues:

Related to Redmine - Patch #13460: All translations: RSS -> Atom Closed

Related to Redmine - Patch #36806: Remove rss_* deprecated methods Closed

Associated revisions

Revision 21467 - 2022-03-19 10:56 - Marius BĂLTEANU

Deprecate and rename rss_* methods to atom_* methods (#15118).

Patch by Mischa The Evil and Marius BĂLTEANU

History

#1 - 2013-10-14 01:59 - Mischa The Evil

The affected methods are MyController#reset_rss_key, User#rss_key and User.find_by_rss_key.

Daniel Felix wrote in #13460-8 (note-8):

Hopefully the way I use to deprecate those methods is good enough for the implementation. :-)

Pretty much I think, though some of the deprecation warnings used in the patch are not correct:

1. the warning for MyController#reset_rss_key reads:

"My#reset_rss_key is deprecated and will be removed in Redmine 3.0. Please use #reset_atom_key instead."

this should be

"MyController#reset_rss_key is deprecated and will be removed in Redmine 3.0. Please use MyController#rese

t_atom_key instead."
2. the warning for User#rss_key reads:

"User.rss_key is deprecated and will be removed in Redmine 3.0. Please use User.atom_key instead."

this should be

"User#rss_key is deprecated and will be removed in Redmine 3.0. Please use User#atom_key instead."

For 1:

My#reset_rss_key says that reset_rss_key is an instance method of My (suggesting that My is an existing model in the Redmine core, which

isn't), whereas the change you've made is in the reset_rss_key instance method of MyController

I think it is better to include the class name when redirecting (in text obviously :) the user to the new, replacing method

For 2:

User.rss_key refers to a class method in the User class, while in the Redmine core rss_key is an instance method in the User class

#2 - 2013-10-14 02:06 - Mischa The Evil

- Related to Patch #13460: All translations: RSS -> Atom added

#3 - 2021-08-22 10:52 - Mischa The Evil

- Target version changed from Candidate for next major release to 5.0.0

Shall we finally properly deprecate this in 5.0.0 and remove it in subsequent minor 5.x.x release (e.g. 5.1.0 or 5.2.0)?

#4 - 2021-08-24 01:59 - Go MAEDA

Mischa The Evil wrote:

Shall we finally properly deprecate this in 5.0.0 and remove it in subsequent minor 5.x.x release (e.g. 5.1.0 or 5.2.0)?

 I agree.

#5 - 2021-08-25 04:53 - Mischa The Evil

Go, do you need a new, rebased patch file or do you prefer to do the search and replace and the addition of the deprecation messages (modified

according to my comments in note#1) locally yourself?

#6 - 2022-03-18 22:24 - Marius BĂLTEANU

- File 0001-Deprecate-and-rename-rss_-methods-to-atom_-methods-1.patch added

Updated the patch for current trunk.

#7 - 2022-03-19 08:54 - Marius BĂLTEANU

- File deleted (0001-Deprecate-and-rename-rss_-methods-to-atom_-methods-1.patch)

#8 - 2022-03-19 10:56 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

Patch committed, thanks!

#9 - 2022-03-19 11:36 - Marius BĂLTEANU

- Related to Patch #36806: Remove rss_* deprecated methods added

#10 - 2022-03-19 13:31 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

functional_renaming_rss_to_atom.diff 26.9 KB 2013-10-13 Mischa The Evil
